qgrep(1)

NAME
qgrep - grep in ebuilds

SYNOPSIS
qgrep [opts] <expr> [pkg ...]

DESCRIPTION
qgrep searches for a given expression in all ebuilds of the current portage tree and defined additional overlays. Optionally the search is in all eclasses, or just in the ebuilds that are currently installed. To narrow the search, multiple targets can be given using atom syntax. In particular, the trailing slash (/) syntax can be used to match an entire category. See also qatom(1).

OPTIONS

-I, --invert-match
    Select non-matching lines.

-i, --ignore-case
    Ignore case distinctions.

-N, --atom-name
    Print the atom instead of filename for each match.

-c, --count
    Only print a count of matching lines per FILE.

-l, --list
    Only print FILE names containing matches.

-L, --invert-list
    Only print FILE names containing no match.

-e, --regexp
    Use PATTERN as a regular expression.

-x, --extended
    Use PATTERN as an extended regular expression.

-J, --installed
    Search in installed ebuilds instead of the tree.

-E, --eclass
    Search in eclasses instead of ebuilds.

-s, --skip-comments
    Skip comments lines.

-R, --repo
    Print source repository name for each match (implies -N).

-S <arg>, --skip <arg>
    Skip lines matching <arg>.

-B <arg>, --before <arg>
    Print <arg> lines of leading context.

-A <arg>, --after <arg>
    Print <arg> lines of trailing context.

--root <arg>
    Set the ROOT env var.

-v, --verbose
    Prefix each matching line with filename (like -H). When this option is given multiple times, also linenumbers are printed.

-q, --quiet
    Do not prefix each match with filename.

-C, --nocolor
    Don't output color.

--color
    Force color in output.

-h, --help
    Print this help and exit.

-V, --version
    Print version and exit.

REPORTING BUGS
Please report bugs via http://bugs.gentoo.org/
Product: Portage Development; Component: Tools

AUTHORS
Ned Ludd <solar@gentoo.org>
Mike Frysinger <vapier@gentoo.org>
Fabian Groffen <grobian@gentoo.org>

SEE ALSO
q(1), qatom(1), qcheck(1), qdepends(1), qfile(1), qkeyword(1), qlist(1), qlop(1), qmanifest(1), qmerge(1), qpkg(1), qsearch(1), qsize(1), qtbz2(1), qtegrity(1), quse(1), qwhich(1), qxpak(1)